#!/usr/bin/env node
'use strict';

var _minimist = require('minimist');

var _minimist2 = _interopRequireDefault(_minimist);

var _download = require('./download');

var _download2 = _interopRequireDefault(_download);

var _read = require('./read');

var _read2 = _interopRequireDefault(_read);

var _doctor = require('./doctor');

var _doctor2 = _interopRequireDefault(_doctor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var debug = require('./util/debug')('cli');
var args = (0, _minimist2.default)(process.argv.slice(2), {
  boolean: ['refresh', 'full', 'read', 'doctor'],
  string: ['dir', 'client', 'secret', 'user']
});

debug(args);

if (args.doctor) {
  (0, _doctor2.default)(args, function (err, result) {
    if (err) {
      throw err;
    } else {
      process.stdout.write(JSON.stringify(result, null, 2));
    }
  });
} else if (args.read) {
  (0, _read2.default)(args, function (err, result) {
    if (err) {
      throw err;
    } else {
      process.stdout.write(JSON.stringify(result));
    }
  });
} else {
  (0, _download2.default)(args, function (err, result) {
    if (err) {
      throw err;
    } else if (!process.env.DEBUG) {
      process.stdout.write('Done');
    }
  });
}